Slack OAuth 2.0 callback — completes the installation
GET
/oauth/slack/callback
const url = 'https://your-notavia-host/oauth/slack/callback?code=example&state=example';const options = { method: 'GET', headers: {cookie: '.AspNetCore.Cookies=<.AspNetCore.Cookies>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://your-notavia-host/oauth/slack/callback?code=example&state=example' \ --cookie .AspNetCore.Cookies=<.AspNetCore.Cookies>Slack redirects back here after user approval. On success redirects to
/dashboard/settings/slack?installed=1&team=<team_name>. On failure
redirects to /dashboard/settings/slack?error=<code>.
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Query Parameters
Section titled “Query Parameters ” code
required
string
state
required
string
Responses
Section titled “ Responses ”Redirects to the dashboard Slack settings page.
Missing or invalid credentials.
Media type application/json
object
error
required
object
type
required
string
code
required
string
message
required
string
param
string
Example generated
{ "error": { "type": "example", "code": "example", "message": "example", "param": "example" }}